API Guide Home (Online version only) |

# PhnMMIResultType Struct Reference

## Detailed Description

MMI result struct.

Definition at line 446 of file HsPhoneNetworkTypes.h.

## Data Fields

- UInt16 size
- PhnMMIServiceCode serviceCode
- union {
  - struct {
    - Boolean enabled
    - char number [kMaxPhoneNumberLen+1]
    - PhnTeleserviceType type
    - UInt16 time
  - } mmiForwarding
  - struct {
    - Boolean enabled
    - PhnTeleserviceType type
  - } mmiBarring
  - struct {
    - Boolean enabled
    - PhnTeleserviceType type
  - } mmiCallWaiting
  - struct {
    - Boolean enabled
  - } mmiCallerID
  - struct {
    - GSMCLIRDisplayStatus displayStatus
    - PhnCLIRStatus subscriptionStatus
  - } mmiNumberSent
  - struct {
    - Boolean enabled
  - } mmiColp
  - struct {
    - Boolean enabled
  - } mmiColr
  - struct {
    - char imei [kMaxImeiLen+1]
  - } mmiIMEI
- } data

## Field Documentation

UInt16 size

Definition at line 448 of file HsPhoneNetworkTypes.h.

PhnMMIServiceCode serviceCode

Definition at line 449 of file HsPhoneNetworkTypes.h.

Boolean enabled

Definition at line 454 of file HsPhoneNetworkTypes.h.

char number[kMaxPhoneNumberLen+1]

Definition at line 455 of file HsPhoneNetworkTypes.h.

PhnTeleserviceType type

Definition at line 456 of file HsPhoneNetworkTypes.h.

UInt16 time

Definition at line 457 of file HsPhoneNetworkTypes.h.

struct { ... } mmiForwarding

struct { ... } mmiBarring

struct { ... } mmiCallWaiting

struct { ... } mmiCallerID

GSMCLIRDisplayStatus displayStatus

Definition at line 475 of file HsPhoneNetworkTypes.h.

PhnCLIRStatus subscriptionStatus

Definition at line 476 of file HsPhoneNetworkTypes.h.

struct { ... } mmiNumberSent

struct { ... } mmiColp

struct { ... } mmiColr

char imei[kMaxImeiLen+1]

Definition at line 488 of file HsPhoneNetworkTypes.h.

struct { ... } mmiIMEI

union { ... } data

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:22 2008 for Palm API Guide